Subject: bug#74894: 29.4; Emacs not responding when calling python-fix-imports

From: kobarity <[email-masked]>
Date: Sat, 15 Feb 2025 22:47:06 +0900

Keglo Stephane wrote:
> Sorry Sir for not responding. I'm not working on a file inside a project. I'm just editing a file. I try to reproduce, 
> it still the same. when calling python-add-imports or python-fix-imports, i am seeing a circle loading for a long time. i
> have to press control-g to stop it.

Could you try the following steps I mentioned in my previous email?

> 1. emacs -Q
> 2. M-x load-fie
>    Specify the location of python.el (or python.el.gz, not
>    python.elc).  You can use M-x locate-library and enter "python" to
>    locate the file.
> 3. M-x toggle-debug-on-quit
> 4. Reproduce the issue.
> 5. Abort with Ctrl-G or SIGUSR2.